// TimeView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTimeView view

#if !defined (CTIMEVIEW_H)
#	define CTIMEVIEW_H

class CTimeView;


#include "childfrm.h"


class CTimeView : public CView
{
protected:
	CTimeView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CTimeView)

// Attributes
public:
	CChildFrame *myParent;
	CDC *displayMemory;


	enum TimeModes 
	{
		NoTimeFromRefrence = 0,
		AbsoluteTimeFromRefrence,
		RelitiveTimeFromRefrence,
	};

	int mode;

	

	int refrenceLinePixel;
	Time refrenceLineTime;

private:
	Logical windowActive;
	
// Operations
public:

	void Render(CRect placement);
	void DrawTime(MY_RGB color);
	void MoveTime(int current_position, BOOL absolute);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimeView)
	public:
	virtual void OnInitialUpdate();
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CTimeView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CTimeView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnTimeviewoptionsAbsolutetime();
	afx_msg void OnUpdateTimeviewoptionsAbsolutetime(CCmdUI* pCmdUI);
	afx_msg void OnUpdateTimeviewoptionsRefrenceonly(CCmdUI* pCmdUI);
	afx_msg void OnTimeviewoptionsRefrenceonly();
	afx_msg void OnTimeviewoptionsRelitivefromrefrenceline();
	afx_msg void OnUpdateTimeviewoptionsRelitivefromrefrenceline(CCmdUI* pCmdUI);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnTimeviewoptionsResetrefrence();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
#endif
